/*{
	"CREDIT": "mm team",
	"CATEGORIES": [
		"Image Control"
	],
	"INPUTS": [
		{
			"NAME": "inputImage",
			"TYPE": "image",
		},
		{
			"NAME": "fx_translate_x",
			"LABEL": "Translate X",
			"TYPE": "float",
			"MIN": -1.0,
			"MAX": 1.0,
			"DEFAULT": 0.0
		},
		{
			"NAME": "fx_translate_y",
			"LABEL": "Translate Y",
			"TYPE": "float",
			"MIN": -1.0,
			"MAX": 1.0,
			"DEFAULT": 0.0
		}
	]
}*/

#include "MadCommon.glsl"

#ifdef SOFT_EDGE_1_ACTIVE
	in vec2 mm_SurfaceCoord;
	uniform sampler2D softedge1;
#endif
#ifdef SOFT_EDGE_2_ACTIVE
	uniform sampler2D softedge2;
#endif

uniform vec4 modulationColor;
uniform float ignoreAlpha;

out vec4 out_color;

void main()
{
    vec4 tex_color=MM_SHADER_NORM_PIXEL(vec2(fract(isf_FragNormCoord.x+fx_translate_x),fract(isf_FragNormCoord.y+fx_translate_y)));
    tex_color.a += ignoreAlpha;
	
    out_color = tex_color;

	out_color *= modulationColor;
 
	#ifdef SOFT_EDGE_1_ACTIVE
    	out_color.rgb = out_color.rgb * texture(softedge1, mm_SurfaceCoord).r;
    #endif
    
	#ifdef SOFT_EDGE_2_ACTIVE
        out_color.rgb = out_color.rgb * texture(softedge2, mm_SurfaceCoord).r;
    #endif
}
